Transfer stable keywords to newer revision, drop really old one
authorSergey Popov <pinkbyte@gentoo.org>
Mon, 27 Apr 2015 13:02:45 +0000 (13:02 +0000)
committerSergey Popov <pinkbyte@gentoo.org>
Mon, 27 Apr 2015 13:02:45 +0000 (13:02 +0000)
Package-Manager: portage-2.2.18/cvs/Linux x86_64
Manifest-Sign-Key: 0x60C0742D1F357D42

dev-libs/boost/ChangeLog
dev-libs/boost/Manifest
dev-libs/boost/boost-1.52.0-r6.ebuild [deleted file]
dev-libs/boost/boost-1.52.0-r7.ebuild

index a43e74f14b19f9ae904c91526bcc0f8c470d0503..6643387b674a1f2577fac27320bbc82968844f0b 100644 (file)
@@ -1,6 +1,10 @@
 # ChangeLog for dev-libs/boost
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/ChangeLog,v 1.351 2015/04/16 12:55:41 zlogene Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/ChangeLog,v 1.352 2015/04/27 13:02:44 pinkbyte Exp $
+
+  27 Apr 2015; Sergey Popov <pinkbyte@gentoo.org> -boost-1.52.0-r6.ebuild,
+  boost-1.52.0-r7.ebuild:
+  Transfer stable keywords to newer revision, drop really old one
 
   16 Apr 2015; Mikle Kolyada <zlogene@gentoo.org> boost-1.55.0-r2.ebuild:
   sparc stable wrt bug #525286
index 145c422ad54e895ca4e3f11d92a5f417d75ead95..1d197b66ba829bab17a1aac78e4b01c1f2a4c790 100644 (file)
@@ -23,21 +23,22 @@ DIST boost_1_54_0.tar.bz2 57873778 SHA256 047e927de336af106a24bceba30069980c1915
 DIST boost_1_55_0.tar.bz2 58146647 SHA256 fff00023dd79486d444c8e29922f4072e1d451fc5a4d2b6075852ead7f2b7b52 SHA512 dc606477f4c303e8f40de2586c16394b6d758e198b35bf3a7d3e576a2f49171aadc4f95e8d685fa731bc4e61e19869d5a24e1e816febfca9de078d66e096e041 WHIRLPOOL 6ae111d6a956651bd91914432b743faffeb466703191b05193db47f02fd3528a14ce200f26c1ab77bf2c68994eb5b135b0176f66a746964d334b4793ba113ad5
 DIST boost_1_56_0.tar.bz2 94777674 SHA256 134732acaf3a6e7eba85988118d943f0fa6b7f0850f65131fff89823ad30ff1d SHA512 1ce9871c3a2519682538a5f1331938b948123432d99aea0ce026958cbebd25d84019a3a28c452724b9693df98a8d1264bb2d93d2fee508453f8b42836e67481e WHIRLPOOL e9e9bb965816b687141d55bc026e378a56ed577a2bf0bdad61a1736e7f11d1797e0cac0185a1fa25b6c4b9fe1f75cbb0bb73a5ea05e84d59385bb3b17a90fd12
 DIST boost_1_57_0.tar.bz2 60821561 SHA256 910c8c022a33ccec7f088bd65d4f14b466588dda94ba2124e78b8c57db264967 SHA512 61881440fd89644c43c6e3bc6292e9fed75a6d3a76f98654b189d0ed4e1087d77b585884e882270c08bf9f7132b173bfc1fde05848e06aa78ba7f1008d10714d WHIRLPOOL ff092af332434082a774645a5eb42829cdbdac805ef86dccce8988542062901524bd4d5fc890e3a9c01f0a721047501e5d8b13d50ffa5368066c3438dcf719d6
-EBUILD boost-1.52.0-r6.ebuild 9791 SHA256 150844cc918b40955025e36f7386eeb2275fa8770d501b15e89040560beff51a SHA512 5e628a6312257d8b1d3a3809abc73932afa8418e86472dd08fcdab027ceaaec7ded47181d13d6007252f41e024fc796a273849eef7d58071c3596154a118a1dc WHIRLPOOL deb096eb62983c27d544797f2aa1f8a13e51b1ff56609ee1182a8d92422b18f9e4f432dc83530c9955c467f38fd56807015997f0f911a6bbe5eb66b367171b1c
-EBUILD boost-1.52.0-r7.ebuild 10071 SHA256 72b35a801c0bfad48c9a79c2a0a691056462a3d047170caa5496c535a260ca9e SHA512 5df978e5bdc49727bdca26a6f3e7fa778366cc870127c7839622ed3e9993076b22380b73a24a637787b0366fda05c512e5dd3296b506a76caf830ac9cd22b447 WHIRLPOOL 98dcd8b5435bd47970e27290ebfa54daccf92af78135917561f453014402802188ef2896ac2724b20e2958b8896ddf5d33c796446ccd7af6a3c590872c1963c5
+EBUILD boost-1.52.0-r7.ebuild 10071 SHA256 8a8600c6c8d2215d1d06c54502d356a5c25082ea89383bb9159bbfe9d8f025f6 SHA512 e52568b9c21a6b8600c43c7a4aac2daa3d2886b27363b460dcdbf5e2a769c76ba898b2e0ad7c549b5f77e882d77cd46bb895ed4213b385bb1b1195fbc740aca9 WHIRLPOOL 3d9a9e0b71a8d0902255b624b2ddac7b36255eced24fcad6e86f9d3e7730917164ade36ec9ce3eff91da0bd647e4d69bad683f747186f03e33d4d71cf59532ee
 EBUILD boost-1.53.0-r1.ebuild 10582 SHA256 1a20b104d5ee5b90b5dd355709cb28fcf4486a14c6e7fd5b5762975be5f3eff1 SHA512 8db1c43c04b89301c6dda86654c4d1420ecd4d401d8a1048e51ae714dd38445a71a13d77d40fa4d09ff273874cd198adc078f5b5897236f26d50b7223ddec5ff WHIRLPOOL 43536a631b4059b34253a97d4e69100731b67f7b2bdd29fdaba5616c8c659ecddc6dd76144ffdd0e532fc0e11b500fd6edb53edfff997af7c9c14f79a625b868
 EBUILD boost-1.54.0-r1.ebuild 10602 SHA256 b7f96bd26221c2a890839378da8803d058bfef241e74dd7af900340336b58a24 SHA512 2d1a0c8e80f74030d9773049cb6e2082d2f5a9d6dd1512f8ee25904d331a72a733feec71b8554a4801558e508782c2d15598d3f31f523818061374dd8c25951d WHIRLPOOL b1ff7d73ed103922297c7af9db25545184e99bbafeb3ee40ce4bd458ea7cbdbaf4a460c37825e1551f15cda31e2c081cc93f8dd43923f6b5ad9aee01a03abd3f
 EBUILD boost-1.55.0-r2.ebuild 11312 SHA256 2570e7d6d1ae6bd2b98ac35c8fb6fffff841a500d6829d5abf9f946b1b39dc10 SHA512 63ee682989487042f7371eaaf59666b99d0a4d6bb0cf97adb6fe5770aca29e61229f42af44a26ac751e214b02047e7a264404f717edc31f2cd483726c14dc995 WHIRLPOOL a139bec8af17a79ef3662106d7ebf8656391fa8063331d6a72d4289b3d0a6ebaaf1fd78d6c37eb093ef71f177c7839103490a46d5903ab845e63c0b378f01c5e
 EBUILD boost-1.56.0-r1.ebuild 11857 SHA256 db3079b88c717a576589ffc2114939c6fbe62bfd44a47ff697daeea43b3934ba SHA512 35d27c24f73b05a36b66a3e392e9a6f5170971d792be6bce0f9022813d3f95ebe463e56d2ef14d4b946a34501293e70d29019347fe96fd729f50725304315263 WHIRLPOOL 0ff3ada64fd7686de936c891cb2e9ff74e1b31d59bd0fc6cd2e85c09410281bca080301411596ed695b7aada646e8e49e6a8f31b6e32544f9dd118f74387210d
 EBUILD boost-1.57.0.ebuild 11854 SHA256 9e544f22ce30612be9c5264f30fce874f3dff569fe17ab6b48895f18e14b60d3 SHA512 f250657a1af67c7a7dfbeff32d3f82d0fd32a177055da71654f0d124eb53a57013ec75628e96d08a55396fb9c12a916195eadb04311a732aa37da4f9ae7c166e WHIRLPOOL a3084e0e71ada473992d7096bdbd54d2750eda6ab9fa3839de7f6fabf7022c5363a42b5fbb200abf901a218c0d58844e9de9580920299301ac47b19e17bf695f
-MISC ChangeLog 59007 SHA256 b95f8c7f54f0da0bb597a9c1754d753682fb7e4eed5cb67b969b16cb11d70f56 SHA512 86a5b6669a4284d9f509d07899c2656fa81121fad824704e320e3adb9fce811bfe6aa0dc492a91f0f0b3d3822e97720831fe38bb82179d8b4542daf78628008d WHIRLPOOL f2fc63c9037098dee1c20b1761023c769027c834aacc7908ac2c89579640b16a468a35b2d41121f6737767ede5d0c135b009c3c9b5662ebf68d9bc8f0325dd7e
+MISC ChangeLog 59176 SHA256 285a52bae9f630829ff5191988d4d25a9b435cfd925e8a2c4b00c125c42c7c35 SHA512 2c35a9dca015eb37ae581d72c9394dca0fe12fb40458bd3a2b24f3da1296b7f77b861ea00423624e65a6bba7eb86826bdb93c29112c9c83abc0fb4d8828c06c6 WHIRLPOOL 326d741931ffa05d6c373ea89285e43f4d6df868a25c92849b95811bbe8e34ec127840765deeed50555367161a39fe85d5fb2ed1c97cea771e08e98637699232
 MISC metadata.xml 1363 SHA256 81717d0ffd5ebadbe4b12d4a38b332f3128da205a46e3cfd201e91f6ad474d68 SHA512 162040a40e83cceacea3605d45bc846cbd721446949c66bd836ab54e113ada77f1f462c7e61d7e544bc073920475db6b81c104390d6c83aba7228d65ff270419 WHIRLPOOL be141d041846a3a79efb7579c3f842960afe27a6e29659bad88ae8e999aef30074d2ab23c9eb295152d88f75d80efc86fed1c08c11b4f3f0d5e866b6d3c4802c
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2
 
-iJwEAQEIAAYFAlUvsN0ACgkQG9wOWsQutdZG7QP/Qfzb7R9YsyJ84O0vit06ycLs
-RyhXLHfnawuNmyZKIi0wcCUjF2D4iEaD6RbZFSZj6spfJf5iZ+G2YEEqMKlxw0VB
-k3C9hWurqL6juYd6q7kNro7sB5PS2qoJEbEsFbxG/5gKZfRiU1d0YqvMpPUGZeKk
-tLZI4M74fMcGcjYlDVE=
-=Fm4A
+iQEcBAEBCAAGBQJVPjN0AAoJECo/aRed9267zR0H/3CET9ttEElduaCuZIjorOsp
+MFSGr2/R2uduojaLqyxuZ/2l9RtAJMhiQ+c1jaMekZB8tNupslsLk18ooS8INDW2
+TdXOsTZeGhfzMl4kH3Sez5eOSF2ZkROQEQV1Pz0joaVbuC84VUqcMl2DYR859sSI
+EbIXsbxwwPyzIywG0krx/4YihDFxcxhu8jo+t5NdTE3cP2cJ3ASTOOZgARiJHilI
+MBOaEQM+PUySDaMxNnDyAEgyv0m6CbjR2UmuStd4a8XDI0lQl+qkTaAGIVRBoSix
+570i7FhoRC4vBjitkb+/5pXy8hq/h3i/bLwwt16O17tVkgMK+WU1BH8YFqDA7/Y=
+=SIzI
 -----END PGP SIGNATURE-----
diff --git a/dev-libs/boost/boost-1.52.0-r6.ebuild b/dev-libs/boost/boost-1.52.0-r6.ebuild
deleted file mode 100644 (file)
index daae81e..0000000
+++ /dev/null
@@ -1,345 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.52.0-r6.ebuild,v 1.16 2015/04/08 17:51:55 mgorny Exp $
-
-EAPI="5"
-PYTHON_COMPAT=( python{2_7,3_3} )
-
-inherit eutils flag-o-matic multilib multiprocessing python-r1 toolchain-funcs versionator
-
-MY_P=${PN}_$(replace_all_version_separators _)
-
-DESCRIPTION="Boost Libraries for C++"
-HOMEPAGE="http://www.boost.org/"
-SRC_URI="mirror://sourceforge/boost/${MY_P}.tar.bz2"
-
-LICENSE="Boost-1.0"
-MAJOR_V="$(get_version_component_range 1-2)"
-SLOT="0/${MAJOR_V}"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
-IUSE="debug doc icu +nls mpi python static-libs +threads tools"
-
-RDEPEND="icu? ( >=dev-libs/icu-3.6:= )
-       !icu? ( virtual/libiconv )
-       mpi? ( || ( sys-cluster/openmpi[cxx] sys-cluster/mpich2[cxx,threads] ) )
-       python? ( ${PYTHON_DEPS} )
-       app-arch/bzip2
-       sys-libs/zlib
-       !app-admin/eselect-boost"
-DEPEND="${RDEPEND}
-       =dev-util/boost-build-1.52.0-r1"
-
-S=${WORKDIR}/${MY_P}
-
-create_user-config.jam() {
-       local compiler compiler_version compiler_executable
-
-       if [[ ${CHOST} == *-darwin* ]]; then
-               compiler="darwin"
-               compiler_version="$(gcc-fullversion)"
-               compiler_executable="$(tc-getCXX)"
-       else
-               compiler="gcc"
-               compiler_version="$(gcc-version)"
-               compiler_executable="$(tc-getCXX)"
-       fi
-       local mpi_configuration python_configuration
-
-       if use mpi; then
-               mpi_configuration="using mpi ;"
-       fi
-
-       if use python; then
-               python_configuration="using python : : ${PYTHON} ;"
-       fi
-
-       cat > user-config.jam << __EOF__
-using ${compiler} : ${compiler_version} : ${compiler_executable} : <cflags>"${CFLAGS}" <cxxflags>"${CXXFLAGS}" <linkflags>"${LDFLAGS}" ;
-${mpi_configuration}
-${python_configuration}
-__EOF__
-}
-
-pkg_setup() {
-       # Bail out on unsupported build configuration, bug #456792
-       if [[ -f "${EROOT}etc/site-config.jam" ]]; then
-               grep -q gentoorelease "${EROOT}etc/site-config.jam" && grep -q gentoodebug "${EROOT}etc/site-config.jam" ||
-               (
-                       eerror "You are using custom ${EROOT}etc/site-config.jam without defined gentoorelease/gentoodebug targets."
-                       eerror "Boost can not be built in such configuration."
-                       eerror "Please, either remove this file or add targets from ${EROOT}usr/share/boost-build/site-config.jam to it."
-                       die
-               )
-       fi
-}
-
-src_prepare() {
-       epatch \
-               "${FILESDIR}/${PN}-1.48.0-mpi_python3.patch" \
-               "${FILESDIR}/${PN}-1.51.0-respect_python-buildid.patch" \
-               "${FILESDIR}/${PN}-1.51.0-support_dots_in_python-buildid.patch" \
-               "${FILESDIR}/${PN}-1.48.0-no_strict_aliasing_python2.patch" \
-               "${FILESDIR}/${PN}-1.48.0-disable_libboost_python3.patch" \
-               "${FILESDIR}/${PN}-1.48.0-python_linking.patch" \
-               "${FILESDIR}/${PN}-1.48.0-disable_icu_rpath.patch" \
-               "${FILESDIR}/remove-toolset-1.48.0.patch" \
-               "${FILESDIR}/${PN}-1.52.0-tuple.patch" \
-               "${FILESDIR}/${P}-locale-utf.patch"
-
-       # Avoid a patch for now
-       for file in libs/context/src/asm/*.S; do
-               cat - >> $file <<EOF
-
-#if defined(__linux__) && defined(__ELF__)
-.section .note.GNU-stack,"",%progbits
-#endif
-EOF
-       done
-
-       epatch_user
-}
-
-ejam() {
-       echo b2 "$@"
-       b2 "$@"
-}
-
-src_configure() {
-       OPTIONS="$(usex debug gentoodebug gentoorelease) -j$(makeopts_jobs) -q -d+2 --user-config=${S}/user-config.jam"
-
-       if [[ ${CHOST} == *-darwin* ]]; then
-               # We need to add the prefix, and in two cases this exceeds, so prepare
-               # for the largest possible space allocation.
-               append-ldflags -Wl,-headerpad_max_install_names
-       fi
-
-       # bug 298489
-       if use ppc || use ppc64; then
-               [[ $(gcc-version) > 4.3 ]] && append-flags -mno-altivec
-       fi
-
-       # Do _not_ use C++11 yet, make sure to force GNU C++ 98 standard.
-       append-cxxflags -std=gnu++98
-
-       use icu && OPTIONS+=" -sICU_PATH=/usr"
-       use icu || OPTIONS+=" --disable-icu boost.locale.icu=off"
-       use mpi || OPTIONS+=" --without-mpi"
-       use python || OPTIONS+=" --without-python"
-       use nls || OPTIONS+=" --without-locale"
-
-       OPTIONS+=" pch=off --boost-build=/usr/share/boost-build --prefix=\"${D}usr\" --layout=system threading=$(usex threads multi single) link=$(usex static-libs shared,static shared) --without-context"
-}
-
-src_compile() {
-       export BOOST_ROOT="${S}"
-       PYTHON_DIRS=""
-       MPI_PYTHON_MODULE=""
-
-       building() {
-               create_user-config.jam
-
-               ejam ${OPTIONS} \
-                       $(use python && echo --python-buildid=${EPYTHON#python}) \
-                       || die "Building of Boost libraries failed"
-
-               if use python; then
-                       if [[ -z "${PYTHON_DIRS}" ]]; then
-                               PYTHON_DIRS="$(find bin.v2/libs -name python | sort)"
-                       else
-                               if [[ "${PYTHON_DIRS}" != "$(find bin.v2/libs -name python | sort)" ]]; then
-                                       die "Inconsistent structure of build directories"
-                               fi
-                       fi
-
-                       local dir
-                       for dir in ${PYTHON_DIRS}; do
-                               mv ${dir} ${dir}-${EPYTHON} \
-                                       || die "Renaming of '${dir}' to '${dir}-${EPYTHON}' failed"
-                       done
-
-                       if use mpi; then
-                               if [[ -z "${MPI_PYTHON_MODULE}" ]]; then
-                                       MPI_PYTHON_MODULE="$(find bin.v2/libs/mpi/build/*/gentoo* -name mpi.so)"
-                                       if [[ "$(echo "${MPI_PYTHON_MODULE}" | wc -l)" -ne 1 ]]; then
-                                               die "Multiple mpi.so files found"
-                                       fi
-                               else
-                                       if [[ "${MPI_PYTHON_MODULE}" != "$(find bin.v2/libs/mpi/build/*/gentoo* -name mpi.so)" ]]; then
-                                               die "Inconsistent structure of build directories"
-                                       fi
-                               fi
-
-                               mv stage/lib/mpi.so stage/lib/mpi.so-${EPYTHON} \
-                                       || die "Renaming of 'stage/lib/mpi.so' to 'stage/lib/mpi.so-${EPYTHON}' failed"
-                       fi
-               fi
-       }
-       if use python; then
-               python_foreach_impl building
-       else
-               building
-       fi
-
-       if use tools; then
-               pushd tools > /dev/null || die
-
-               ejam ${OPTIONS} \
-                       || die "Building of Boost tools failed"
-               popd > /dev/null || die
-       fi
-}
-
-src_install () {
-       installation() {
-               create_user-config.jam
-
-               if use python; then
-                       local dir
-                       for dir in ${PYTHON_DIRS}; do
-                               cp -pr ${dir}-${EPYTHON} ${dir} \
-                                       || die "Copying of '${dir}-${EPYTHON}' to '${dir}' failed"
-                       done
-
-                       if use mpi; then
-                               cp -p stage/lib/mpi.so-${EPYTHON} "${MPI_PYTHON_MODULE}" \
-                                       || die "Copying of 'stage/lib/mpi.so-${EPYTHON}' to '${MPI_PYTHON_MODULE}' failed"
-                               cp -p stage/lib/mpi.so-${EPYTHON} stage/lib/mpi.so \
-                                       || die "Copying of 'stage/lib/mpi.so-${EPYTHON}' to 'stage/lib/mpi.so' failed"
-                       fi
-               fi
-
-               ejam ${OPTIONS} \
-                       --includedir="${D}usr/include" \
-                       --libdir="${D}usr/$(get_libdir)" \
-                       $(use python && echo --python-buildid=${EPYTHON#python}) \
-                       install || die "Installation of Boost libraries failed"
-
-               if use python; then
-                       rm -r ${PYTHON_DIRS} || die
-
-                       # Move mpi.so Python module to Python site-packages directory.
-                       # https://svn.boost.org/trac/boost/ticket/2838
-                       if use mpi; then
-                               local moddir=$(python_get_sitedir)/boost
-                               dodir "${moddir}"
-                               mv "${D}usr/$(get_libdir)/mpi.so" "${D}${moddir}" || die
-                               cat << EOF > "${D}${moddir}/__init__.py" || die
-import sys
-if sys.platform.startswith('linux'):
-       import DLFCN
-       flags = sys.getdlopenflags()
-       sys.setdlopenflags(DLFCN.RTLD_NOW | DLFCN.RTLD_GLOBAL)
-       from . import mpi
-       sys.setdlopenflags(flags)
-       del DLFCN, flags
-else:
-       from . import mpi
-del sys
-EOF
-                       fi
-
-                       python_optimize
-               fi
-       }
-       if use python; then
-               python_foreach_impl installation
-       else
-               installation
-       fi
-
-       if ! use python; then
-               rm -r "${D}"/usr/include/boost/python* || die
-       fi
-
-       if ! use nls; then
-               rm -r "${D}"/usr/include/boost/locale || die
-       fi
-
-       rm -r "${D}"/usr/include/boost/context || die
-
-       if use doc; then
-               find libs/*/* -iname "test" -or -iname "src" | xargs rm -rf
-               dohtml \
-                       -A pdf,txt,cpp,hpp \
-                       *.{htm,html,png,css} \
-                       -r doc
-               dohtml -A pdf,txt -r tools
-               insinto /usr/share/doc/${PF}/html
-               doins -r libs
-               doins -r more
-
-               # To avoid broken links
-               insinto /usr/share/doc/${PF}/html
-               doins LICENSE_1_0.txt
-
-               dosym /usr/include/boost /usr/share/doc/${PF}/html/boost
-       fi
-
-       pushd "${D}usr/$(get_libdir)" > /dev/null || die
-
-       local ext=$(get_libname)
-       if use threads; then
-               local f
-               for f in *${ext}; do
-                       dosym ${f} /usr/$(get_libdir)/${f/${ext}/-mt${ext}}
-               done
-       fi
-
-       popd > /dev/null || die
-
-       if use tools; then
-               dobin dist/bin/*
-
-               insinto /usr/share
-               doins -r dist/share/boostbook
-       fi
-
-       # boost's build system truely sucks for not having a destdir.  Because for
-       # this reason we are forced to build with a prefix that includes the
-       # DESTROOT, dynamic libraries on Darwin end messed up, referencing the
-       # DESTROOT instread of the actual EPREFIX.  There is no way out of here
-       # but to do it the dirty way of manually setting the right install_names.
-       if [[ ${CHOST} == *-darwin* ]]; then
-               einfo "Working around completely broken build-system(tm)"
-               local d
-               for d in "${ED}"usr/lib/*.dylib; do
-                       if [[ -f ${d} ]]; then
-                               # fix the "soname"
-                               ebegin "  correcting install_name of ${d#${ED}}"
-                               install_name_tool -id "/${d#${D}}" "${d}"
-                               eend $?
-                               # fix references to other libs
-                               refs=$(otool -XL "${d}" | \
-                                       sed -e '1d' -e 's/^\t//' | \
-                                       grep "^libboost_" | \
-                                       cut -f1 -d' ')
-                               local r
-                               for r in ${refs}; do
-                                       ebegin "    correcting reference to ${r}"
-                                       install_name_tool -change \
-                                               "${r}" \
-                                               "${EPREFIX}/usr/lib/${r}" \
-                                               "${d}"
-                                       eend $?
-                               done
-                       fi
-               done
-       fi
-}
-
-pkg_preinst() {
-       # Yai for having symlinks that are nigh-impossible to remove without
-       # resorting to dirty hacks like these. Removes lingering symlinks
-       # from the slotted versions.
-       local symlink
-       for symlink in "${EROOT}usr/include/boost" "${EROOT}usr/share/boostbook"; do
-               [[ -L ${symlink} ]] && rm -f "${symlink}"
-       done
-}
-
-# the tests will never fail because these are not intended as sanity
-# tests at all. They are more a way for upstream to check their own code
-# on new compilers. Since they would either be completely unreliable
-# (failing for no good reason) or completely useless (never failing)
-# there is no point in having them in the ebuild to begin with.
-src_test() { :; }
index 945bfaa1e529b0b76c634e58fabb15b70ab6c2e3..d5370ec7695dc239b5d8964fd60b6c249e60f00b 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.52.0-r7.ebuild,v 1.13 2015/04/08 17:51:55 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/boost/boost-1.52.0-r7.ebuild,v 1.14 2015/04/27 13:02:44 pinkbyte Exp $
 
 EAPI="5"
 PYTHON_COMPAT=( python{2_7,3_3} )
@@ -16,7 +16,7 @@ SRC_URI="mirror://sourceforge/boost/${MY_P}.tar.bz2"
 LICENSE="Boost-1.0"
 MAJOR_V="$(get_version_component_range 1-2)"
 SLOT="0/${MAJOR_V}"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd"
 IUSE="debug doc icu +nls mpi python static-libs +threads tools"
 
 RDEPEND="icu? ( >=dev-libs/icu-3.6:= )